Grants, vesting & distributions
Create One SCP Grant For Recipients
Creates one stablecoin-payroll grant per recipient for a token type, creating the grant configuration if missing.
POSThttps://api.toku.com/tga/create-one-scp-grant-for-recipients
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/tga/create-one-scp-grant-for-recipients' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scpInfoList": [
{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"scpName": "string"
}
],
"grantConfigName": "string",
"tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"grantsCreated": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
scpInfoListobject[]requiredAllowed: 1 to 500 items
Show child attributes
roleInOrgIDstring<uuid>requiredscpNamestringrequiredAllowed: 1 to 200 characters
grantConfigNamestringrequiredAllowed: 1 to 200 characters
tokenTypeIDstring<uuid>requiredResponse
200Successful response
grantsCreatedintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits